From 6593906228de423d3bc4acaf7115e84953fd0dca Mon Sep 17 00:00:00 2001
From: Luke Leighton <lkcl@lkcl.net>
Date: Mon, 13 Sep 2010 18:22:47 +0100
Subject: [PATCH 25/34] add proxy for "get_xxxxx" properties

---
 .../gnumed/client/pycommon/gmBusinessDBObject.py   |   14 +++++++++++++-
 1 files changed, 13 insertions(+), 1 deletions(-)

diff --git a/gnumed/gnumed/client/pycommon/gmBusinessDBObject.py b/gnumed/gnumed/client/pycommon/gmBusinessDBObject.py
index c14972c..a88630e 100644
--- a/gnumed/gnumed/client/pycommon/gmBusinessDBObject.py
+++ b/gnumed/gnumed/client/pycommon/gmBusinessDBObject.py
@@ -506,9 +506,21 @@ def jsonclasshintify(obj):
 		# at the remote (client) end.
 		res = {'__jsonclass__': ["jsonobjproxy.%s" % obj.__class__.__name__]}
 		for k in obj.get_fields():
-			res[k] = jsonclasshintify(obj[k])
+			t = jsonclasshintify(obj[k])
+			res[k] = t
+		print "props", res, dir(obj)
+		for attribute in dir(obj):
+			if not attribute.startswith("get_"):
+				continue
+			k = attribute[4:]
+			if res.has_key(k):
+				continue
+			getter = getattr(obj, attribute, None)
+			if callable(getter):
+				res[k] = jsonclasshintify(getter())
 		return res
 	return obj
+
 #============================================================
 if __name__ == '__main__':
 
-- 
1.7.1

